Subject: Re: [rtcweb] I-D Action: draft-ietf-rtcweb-jsep-06.txt - PeerConnection BUNDLE policy
From: Justin Uberti <[email-masked]>
To: Christer Holmberg <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 18 Feb 2014 23:27:09 -0800
List-Id: Real-Time Communication in WEB-browsers working group list <rtcweb.ietf.org>

On Fri, Feb 14, 2014 at 6:22 AM, Christer Holmberg <
[email-masked]> wrote:

> Hi,
>
> Section 4.1.1. defines, for the PeerConnection constructor, the
> possibility to specify BUNDLE policy.
>
> However, I am missing the possibility to indicate whether, within a BUNDLE
> group, the same port number shall be used or not.
>
> Section 5.2.1 does say:
>
>         "o  The port value is set to the port of the default ICE candidate
> for
>         this m= section; if this m= section is not being bundled into
>         another m= section, the port value MUST be unique."
>
> ...but, it doesn't talk about the case when the port IS being bundled into
> another m= section. Normally, in the initial Offer, the port value will be
> unique also in that case, but if the PeerConnection is created due to
> forking, and it is known that the remote peer supports BUNDLE, then
> identical port values can be used already in the initial offer.
>

If a m= section is being bundled into another m= section, then the port
number must be the same, as indicated in the BUNDLE WG draft.

I did not include a policy option to force use of the same port; the
closest thing would be to use a policy of "all", which will mark all lines
except the first as bundle-only and achieve basically the same result,
although it would require a second offer to update the bundle-only ports.
If this is a problem we could consider adding another policy value.